import request from '@/utils/request'
import Qs from 'qs'

export function listIcbcBank(query) {
  return request({
    url: '/icbc/list',
    method: 'get',
    params: query,
    paramsSerializer: function(params) {
      return Qs.stringify(params, { arrayFormat: 'repeat' })
  }
  })
}

export function createIcbcBank(data) {
  return request({
    url: '/icbc/create',
    method: 'post',
    data
  })
}

export function readIcbcBank(data) {
  return request({
    url: '/icbc/read',
    method: 'get',
    data
  })
}

export function updateIcbcBank(data) {
  return request({
    url: '/icbc/update',
    method: 'post',
    data
  })
}

export function deleteIcbcBank(data) {
  return request({
    url: '/icbc/delete',
    method: 'post',
    data
  })
}

export function IcbcCoupon(data) {
    return request({
      url: '/icbc/icbcCoupon',
      method: 'get'
    })
}
 
export function sendSms(query) {
  return request({
    url: '/icbc/send',
    method: 'get',
    params: query
  })
}
export function cancel(data, config) {
  return request({
      url: '/icbc/cancel',
      method: 'post',
      config: config,
      data
  })
}